跳至內容

Kling O3 Reference Video to Video [Pro]

整合

模型 id kling-video/o3/pro/video-to-video/reference
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-video/o3/pro/video-to-video/reference?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $2.52 2,520 API 點數 在此頁面執行

取得 API 金鑰

在 Doitong 上製作

Doitong 社群使用 Kling O3 製作的公開作品。一鍵重複使用提示詞。

顯示的公開作品:16
**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 影片

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 影片

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 影片

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Уютная база отдыха с деревянными домиками-шале среди сосен. Майя и Клиентка заходят в теплое кафе... 影片

Уютная база отдыха с деревянными домиками-шале среди сосен. Майя и Клиентка заходят в теплое кафе с панорамными окнами. Внутри деревянный интерьер, мягкие диваны и живые цветы. Они садятся за столик, перед ними стоят дымящиеся чашки чая. Мягкий свет ламп создает уют. Средний план, уровень глаз. (...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 影片

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Реалистично оживи старую семейную фотографию. Все люди сохраняют свои оригинальные лица, черты вн... 影片

Реалистично оживи старую семейную фотографию. Все люди сохраняют свои оригинальные лица, черты внешности, возраст, причёски и одежду. Мужчины слегка поворачивают головы, естественно моргают и едва заметно улыбаются. Женщина слева спокойно смотрит в камеру и мягко моргает. Маленький ребёнок слегка...

A five-second orbital camera move circling completely around a red-haired woman in a yellow rainc... 影片

A five-second orbital camera move circling completely around a red-haired woman in a yellow raincoat standing in an autumn forest holding a vintage lantern, she remains stationary facing forward while the camera circles 180 degrees from her left side to her right side at eye level, golden fallen...

A five-second whip pan transition starting on a chef in white uniform chopping fresh herbs on a w... 影片

A five-second whip pan transition starting on a chef in white uniform chopping fresh herbs on a wooden cutting board in a bright kitchen, camera suddenly swings in a rapid blur motion panning right at high speed creating motion blur, ending sharply focused on a barista pouring latte art in a...

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 88 / 2500

用於生成影片的文字指示。使用 @Video1 參考參考影片。

•必填 video_url
拖放檔案,或

指向 .mp4 或 .mov 格式參考影片的 URL,大小不得超過 200MB。兩個尺寸必須介於 720px 和 3840px 之間,影格率為 23.0–60.0 FPS,長度為 3–15 秒(最多 15.05 秒)。

duration

影片長度,以秒為單位;參考影片範圍為 3–15s。

aspect_ratio 預設 auto

寬度與高度的比例。

進階 images · shot_type · enable_safety_checker · keep_audio · elements
image_urls
拖放檔案,或

用於引導風格或外觀的圖像,在提示詞中以 @Image1、@Image2 等引用。使用影片輸入時,元素與參考圖像合計不得超過 4 個項目。每個檔案限制為 50 MB,寬度和高度各至少為 300 px,寬高比介於 0.40 和 2.50 之間。

預設 customize

用於生成多鏡頭影片的模式。

要包含的角色或物件,在提示詞中以 @Element1 和 @Element2 引用。

POST /run/kling-video/o3/pro/video-to-video/reference?wait=20 報價 → $2.52
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-video/o3/pro/video-to-video/reference?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Kling O3 Reference Video to Video [Pro]

接收參考影片(`video_url`、.mp4/.mov、3-15 s、720-3840px、大小上限 200MB)和提示詞,根據參考內容產生新片段。輸出 `duration` 可為 3 到 15 秒,`aspect_ratio` 可為 auto、16:9、9:16 或 1:1。可加入參考影像和 `elements`,合計最多 4 個,`keep_audio` 控制原始音效。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
enable_safety_checker選填
類型boolean
預設值true
只有經帳戶授權才能停用安全檢查;未經授權的請求一律會接受檢查。
prompt必填
類型string
≤ 2,500 個字元
用於生成影片的文字指示。使用 @Video1 參考參考影片。
video_url必填 video
類型url · video
指向 .mp4 或 .mov 格式參考影片的 URL,大小不得超過 200MB。兩個尺寸必須介於 720px 和 3840px 之間,影格率為 23.0–60.0 FPS,長度為 3–15 秒(最多 15.05 秒)。
image_urls選填 images
類型url[] · image
用於引導風格或外觀的圖像,在提示詞中以 @Image1、@Image2 等引用。使用影片輸入時,元素與參考圖像合計不得超過 4 個項目。每個檔案限制為 50 MB,寬度和高度各至少為 300 px,寬高比介於 0.40 和 2.50 之間。
keep_audio選填
類型boolean
預設值true
控制是否保留參考影片的原始音訊。
elements選填
類型object[]
要包含的角色或物件,在提示詞中以 @Element1 和 @Element2 引用。
elements[].frontal_image_url選填
類型url · image
顯示元素主要視角的正面圖像。檔案大小不得超過 50 MB;寬度和高度各至少為 300px,寬高比介於 0.40 和 2.50 之間。
elements[].reference_image_urls選填
類型url[] · image
提供 1–3 張顯示不同角度的額外參考圖像。每張圖像的寬高比必須介於 0.40 和 2.50 之間,兩個尺寸至少為 300px,且大小不得超過 50.0MB。
shot_type選填
類型string
預設值customize
用於生成多鏡頭影片的模式。
aspect_ratio選填
類型enum
預設值auto
auto16:99:161:1
寬度與高度的比例。
duration選填
類型enum
3456789101112131415
影片長度,以秒為單位;參考影片範圍為 3–15s。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/o3/pro/video-to-video/reference",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2520,
    "usd": "2.52",
    "charged": 2520,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size}模型產生的影片。

更多模型:影片轉影片

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/kling-video/o3/pro/video-to-video/reference.md. 所有模型與指南: https://doitong.com/developers/llms.txt